--NAME_PLATE_UNIT_ADDED NAME_PLATE_UNIT_REMOVED
function(e, unit)
	--handle death exception
	local LCG = LibStub("LibCustomGlow-1.0")
	if e == "NAME_PLATE_UNIT_ADDED" then
		local name = UnitName(unit) or ""
		if aura_env.mobs[name] then
			local nameplate = C_NamePlate.GetNamePlateForUnit(unit)
			LCG.PixelGlow_Start(nameplate, {0,1,0,1}, nil, 0, 8, 2, 0, -4)
		end
	elseif e == "NAME_PLATE_UNIT_REMOVED" then
		local name = UnitName(unit) or ""
		if aura_env.mobs[name] then
			local nameplate = C_NamePlate.GetNamePlateForUnit(unit)
			LCG.PixelGlow_Stop(nameplate)
		end
	end
end

--INIT
aura_env.mobs =
{
	["Barnacled Reefwalker"] = 1.6,
	["Gloomchasm Reefwalker"] = 1.4,
	["Whitewave Reefwalker"] = 1.2,
	["Staghorn Reefwalker"] = 1.2,
	["Deep Reefwalker"] = 1.2,
	["Sunbleached Reefwalker"] = 1,
	["Kelpwillow"] = 1,
	["Anemonar"] = 0.9,
	["Seashelf Reefwalker"] = 0.8,
	["Murkbloom Reefwalker"] = 0.7,
	["Oronu"] = 0.6,
	["Urduu"] = 0.6,
	["Emorneth"] = 0.5,
	["Sandclaw Stoneshell"] = 6,
	["Chitterspine Ambusher"] = 0.8,
	["Chitterspine Crab"] = 0.5,
	["Chitterspine Lurker"] = 0.5,
	["Iridescent Glimmershell"] = 0.5,
	["Needlespine"] = 0.5,
	["Chitterspine Encroacher"] = 0.4,
	["Glimmershell Crab"] = 0.4,
	["Sandclaw Crab"] = 0.4,
	["Chitterspine Ambusher"] = 0.4,
	["Crackleclaw Crab"] = 0.3,
	["Glimmershell Hulk"] = 0.3,
	["Chitterspine Crab"] = 0.3,
	["Braxicus"] = 0.3,
	["Chitterspine Guillotine"] = 0.16,
}